Show / Hide Table of Contents

# Interface IModPrefs

Allows to get and set preferences for your mod.

###### Namespace: IPA.Config

###### Assembly: IPA.Loader.dll

##### Syntax

    [Obsolete("Uses IniFile, which uses 16 bit system calls. Use BS Utils INI system for now.")]
    public interface IModPrefs

### Methods

| Improve this Doc View Source

#### GetBool(String, String, Boolean, Boolean)

Gets a bool from the ini.

##### Declaration

    bool GetBool(string section, string name, bool defaultValue = false, bool autoSave = false)

##### Parameters

Type | Name | Description
--- | --- | ---
String | section | Section of the key.
String | name | Name of the key.
Boolean | defaultValue | Value that should be used when no value is found.
Boolean | autoSave | Whether or not the default value should be written if no value is found.

##### Returns

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### GetFloat(String, String, Single, Boolean)

Gets a float from the ini.

##### Declaration

    float GetFloat(string section, string name, float defaultValue = 0F, bool autoSave = false)

##### Parameters

Type | Name | Description
--- | --- | ---
String | section | Section of the key.
String | name | Name of the key.
Single | defaultValue | Value that should be used when no value is found.
Boolean | autoSave | Whether or not the default value should be written if no value is found.

##### Returns

Type | Description
--- | ---
Single |

| Improve this Doc View Source

#### GetInt(String, String, Int32, Boolean)

Gets an int from the ini.

##### Declaration

    int GetInt(string section, string name, int defaultValue = 0, bool autoSave = false)

##### Parameters

Type | Name | Description
--- | --- | ---
String | section | Section of the key.
String | name | Name of the key.
Int32 | defaultValue | Value that should be used when no value is found.
Boolean | autoSave | Whether or not the default value should be written if no value is found.

##### Returns

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### GetString(String, String, String, Boolean)

Gets a string from the ini.

##### Declaration

    string GetString(string section, string name, string defaultValue = "", bool autoSave = false)

##### Parameters

Type | Name | Description
--- | --- | ---
String | section | Section of the key.
String | name | Name of the key.
String | defaultValue | Value that should be used when no value is found.
Boolean | autoSave | Whether or not the default value should be written if no value is found.

##### Returns

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### HasKey(String, String)

Checks whether or not a key exists in the ini.

##### Declaration

    bool HasKey(string section, string name)

##### Parameters

Type | Name | Description
--- | --- | ---
String | section | Section of the key.
String | name | Name of the key.

##### Returns

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### SetBool(String, String, Boolean)

Sets a bool in the ini.

##### Declaration

    void SetBool(string section, string name, bool value)

##### Parameters

Type | Name | Description
--- | --- | ---
String | section | Section of the key.
String | name | Name of the key.
Boolean | value | Value that should be written.

| Improve this Doc View Source

#### SetFloat(String, String, Single)

Sets a float in the ini.

##### Declaration

    void SetFloat(string section, string name, float value)

##### Parameters

Type | Name | Description
--- | --- | ---
String | section | Section of the key.
String | name | Name of the key.
Single | value | Value that should be written.

| Improve this Doc View Source

#### SetInt(String, String, Int32)

Sets an int in the ini.

##### Declaration

    void SetInt(string section, string name, int value)

##### Parameters

Type | Name | Description
--- | --- | ---
String | section | Section of the key.
String | name | Name of the key.
Int32 | value | Value that should be written.

| Improve this Doc View Source

#### SetString(String, String, String)

Sets a string in the ini.

##### Declaration

    void SetString(string section, string name, string value)

##### Parameters

Type | Name | Description
--- | --- | ---
String | section | Section of the key.
String | name | Name of the key.
String | value | Value that should be written.

### Extension Methods

ReflectionUtil.SetField(Object, String, Object)
ReflectionUtil.SetField<T>(T, String, Object)
ReflectionUtil.GetField<T>(Object, String)
ReflectionUtil.SetProperty(Object, String, Object)
ReflectionUtil.SetProperty<T>(T, String, Object)
ReflectionUtil.InvokeMethod(Object, String, Object[])
ReflectionUtil.InvokeMethod<T>(T, String, Object[])
ReflectionUtil.InvokeMethod<T>(Object, String, Object[])
ReflectionUtil.InvokeMethod<T, U>(U, String, Object[])